Bug 118598 - Samba looks in /usr/lib instead of /usr/lib64
Samba looks in /usr/lib instead of /usr/lib64
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-03-17 20:30 EST by Nicholas Miell
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: samba-3.0.3-2.pre2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-13 13:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2004-03-17 20:30:14 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Nicholas Miell 2004-03-17 20:31:16 EST
damn it

hang on, a real report is coming
Comment 2 Nicholas Miell 2004-03-17 20:36:30 EST

The samba spec configures with --with-fhs. This overrides the --libdir
provided by the %configure macro, which means libdir is set to

This is wrong on x86-64 systems, and breaks various and sundry things
(an obvious symptom is "lib/util_unistr.c:load_case_tables(63) 
creating lame upcase table" showing up in the logs)
Comment 3 Nicholas Miell 2004-03-17 21:49:50 EST
Removing --with-fhs from the %configure only makes things worse, but
removing the --with-fhs definition from configure.in altogether and
replacing --with-fhs with --with-configdir=%{_sysconfdir}/samba in the
%configure seems to work.
Comment 4 Nicholas Miell 2004-03-20 23:38:55 EST
--libdir=%{_libdir}/samba needs to be tacked on to the %configure as well
Comment 5 Nicholas Miell 2004-03-25 21:39:49 EST
as does --with-logfilebase=/var/log/samba
Comment 6 Jay Fenlason 2004-04-13 13:34:13 EDT
The samba- rpms I just built into Rawhide should take care
of this.

Note You need to log in before you can comment on or make changes to this bug.